# CombinationSceneRequirement | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class CombinationSceneRequirement

Combination of multiple `EncounterSceneRequirements` (OR/AND possible. See isAnd)

#### Hierarchy (View Summary)

- EncounterSceneRequirement
  - CombinationSceneRequirement

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:41

##### Index

### Properties

requirements

### Methods

getDialogueToken
meetsRequirement
Every
Some

## Properties

### requirements

requirements: EncounterSceneRequirement []

- Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:44

## Methods

### getDialogueToken

- getDialogueToken(pokemon?: PlayerPokemon ): [string, string]

  Retrieves a dialogue token key/value pair for the given `requirements`.

  #### Parameters

  - `Optional` pokemon: PlayerPokemon

    The `PlayerPokemon` to check against

  #### Returns [string, string]

  A dialogue token key/value pair

  #### Throws

  An Error if isAnd is `true` (not supported)

  Overrides EncounterSceneRequirement.getDialogueToken

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:76

### meetsRequirement

- meetsRequirement(): boolean

  Checks if all/any requirements are met (depends on isAnd)

  #### Returns boolean

  true if all/any requirements are met (depends on isAnd)

  Overrides EncounterSceneRequirement.meetsRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:64

### `Static` Every

- Every(...requirements: EncounterSceneRequirement []): CombinationSceneRequirement

  #### Parameters

  - ...requirements: EncounterSceneRequirement []

  #### Returns CombinationSceneRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:50

### `Static` Some

- Some(...requirements: EncounterSceneRequirement []): CombinationSceneRequirement

  #### Parameters

  - ...requirements: EncounterSceneRequirement []

  #### Returns CombinationSceneRequirement

  - Defined in src/data/mystery-encounters/mystery-encounter-requirements.ts:46